Bug 634636 - Enable CONFIG_FB_UDL for DisplayLink devices.
Summary: Enable CONFIG_FB_UDL for DisplayLink devices.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-16 15:26 UTC by Fabian Deutsch
Modified: 2011-06-11 09:29 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-16 13:48:45 UTC
Type: ---


Attachments (Terms of Use)
Enable CONFIG_FB_UDL in the kernel package (465 bytes, patch)
2011-05-07 15:09 UTC, Martin Decky
no flags Details | Diff

Description Fabian Deutsch 2010-09-16 15:26:52 UTC
It would be nice if CONFIG_FB_UDL was set, so DisplayLink devices yould be used.

http://libdlo.freedesktop.org/wiki/displaylink-mod

Comment 1 Dave Jones 2010-09-16 20:26:48 UTC
this is still in staging/ 
we'll reassess it when it moves to drivers proper, though input from the xorg guys would be appreciated.

Comment 2 Martin Decky 2011-03-21 18:29:08 UTC
In 2.6.38 the udlfb is no longer in staging, but in kernel-2.6.38-1.fc15 (latest kernel build in Rawhide to this date) it is still not enabled.

Please enable the CONFIG_FB_UDL in the 2.6.38 and later kernel packages, so we can start using udlfb in Fedora 15. Enabling udlfb should have no implications for users who do not have any DisplayLink devices.

Comment 3 Martin Decky 2011-05-07 15:09:43 UTC
Created attachment 497538 [details]
Enable CONFIG_FB_UDL in the kernel package

I kindly ask you again to enable the CONFIG_FB_UDL option in the kernel package.

This trivial patch against kernel-2.6.38.5-24.fc15 source package (latest in Koji at this time) does the trick. I am sorry if this is not the right way how to propose source package changes, please bear with me (or enlighten me). It's a one-liner and the sole intention is to enable CONFIG_FB_UDL.

I have tested the source package on i686 and x86-64 and the kernel builds fine.

Comment 4 Chuck Ebbert 2011-05-09 11:38:51 UTC
I've enabled this in rawhide, but am not sure if it's okay to do so in F15...

Comment 5 Martin Decky 2011-05-09 12:40:49 UTC
(In reply to comment #4)
 
> I've enabled this in rawhide

Thanks!

> but am not sure if it's okay to do so in F15.

Are there some Fedora guidelines which we can turn to?

I mean, without udlfb the DisplayLink devices are not usable in any way unless using the the libdlo library. But this library is not shipped as a Fedora package either (it is orphaned). Therefore I don't see any prior use case which might get broken by enabling CONFIG_FB_UDL -- you gain something and you loose nothing.

But again, if you don't see it as clear as I see it, then we should turn to some existing Fedora guidelines and ask whether it is OK to enable a kernel feature in an update for an upcoming release. Note that the CONFIG_FB_UDL is part of vanilla kernel 2.6.38 and it is not even marked as experimental.

Frankly, I can see intensive additions of new KMS/DRM features in the kernel package (e.g. backports of radeon updates from 2.6.39) just at this time and nobody seems to worry whether this is appropriate or not so close to the F15 release date :)

Comment 6 Fedora Update System 2011-05-09 18:27:12 UTC
kernel-2.6.38.6-25.rc1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.38.6-25.rc1.fc15

Comment 7 Fedora Update System 2011-05-09 22:12:46 UTC
kernel-2.6.38.6-26.rc1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.38.6-26.rc1.fc15

Comment 8 Fedora Update System 2011-05-14 04:07:06 UTC
kernel-2.6.38.6-26.rc1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Martin Decky 2011-05-16 10:21:01 UTC
I believe that the objective of this bug has been achieved. Therefore I suggest closing this bug as fixed.


Note You need to log in before you can comment on or make changes to this bug.